%define modname fileinfo
%define dirname %{modname}
%define soname %{modname}.so
%define inifile 32_%{modname}.ini

Summary:	Fileinfo extension module for PHP
Name:		php-%{modname}
Version:	1.0.4
Release:	%mkrel 7
Group:		Development/PHP
License:	PHP License
URL:		http://pecl.php.net/package/Fileinfo
Source0:	http://pecl.php.net/get/Fileinfo-%{version}.tar.bz2
Source1:	%{modname}.ini
Patch0:		Fileinfo-1.0-lib64.diff
#http://www.adamharvey.name/patches/fileinfo-5.2.patch
Patch1:		fileinfo-5.2.patch
Requires:	file
BuildRequires:	php-devel >= 3:5.2.0
BuildRequires:  file-devel
Epoch:		1
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
This extension allows retrieval of information regarding vast majority of file.
This information may include dimensions, quality, length etc...

Additionally it can also be used to retrieve the mime type for a particular
file and for text files proper language encoding.

%prep

%setup -q -n Fileinfo-%{version}
[ "../package.xml" != "/" ] && mv ../package.xml .

%patch0 -p0
%patch1 -p0

cp %{SOURCE1} %{inifile}

%build
%serverbuild

phpize
%configure2_5x --with-libdir=%{_lib} \
    --with-%{modname}=shared,%{_prefix}

# force path to magic file
cat >> config.h << EOF
#define PHP_DEFAULT_MAGIC_FILE "%{_datadir}/misc/file/magic"
EOF

%make
mv modules/*.so .

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot} 

install -d %{buildroot}%{_libdir}/php/extensions
install -d %{buildroot}%{_sysconfdir}/php.d

install -m0755 %{soname} %{buildroot}%{_libdir}/php/extensions/
install -m0644 %{inifile} %{buildroot}%{_sysconfdir}/php.d/

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc CREDITS EXPERIMENTAL fileinfo.php package.xml
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/php.d/%{inifile}
%attr(0755,root,root) %{_libdir}/php/extensions/%{soname}


%changelog
* Sat Sep 01 2007 Oden Eriksson <oeriksson@mandriva.com> 1.0.4-7mdv2008.0
+ Revision: 77455
- rebuilt against php-5.2.4

* Thu Aug 16 2007 Oden Eriksson <oeriksson@mandriva.com> 1:1.0.4-6mdv2008.0
+ Revision: 64299
- use the new %%serverbuild macro

* Thu Jun 14 2007 Oden Eriksson <oeriksson@mandriva.com> 1:1.0.4-5mdv2008.0
+ Revision: 39380
- use distro conditional -fstack-protector

* Fri Jun 01 2007 Oden Eriksson <oeriksson@mandriva.com> 1:1.0.4-4mdv2008.0
+ Revision: 33775
- rebuilt against new upstream version (5.2.3)

* Thu May 03 2007 Oden Eriksson <oeriksson@mandriva.com> 1:1.0.4-3mdv2008.0
+ Revision: 21024
- rebuilt against new upstream version (5.2.2)


* Thu Feb 08 2007 Oden Eriksson <oeriksson@mandriva.com> 1.0.4-2mdv2007.0
+ Revision: 117533
- rebuilt against new upstream version (5.2.1)

* Wed Nov 08 2006 Oden Eriksson <oeriksson@mandriva.com> 1:1.0.4-1mdv2007.0
+ Revision: 78167
- 1.0.4
- fix deps
- bunzip sources and patches

* Tue Nov 07 2006 Oden Eriksson <oeriksson@mandriva.com> 1:1.0.3-9mdv2007.1
+ Revision: 77424
- added a patch so that it builds again
- rebuilt for php-5.2.0

* Thu Nov 02 2006 Oden Eriksson <oeriksson@mandriva.com> 1:1.0.3-7mdv2007.1
+ Revision: 75214
- Import php-fileinfo

* Mon Aug 28 2006 Oden Eriksson <oeriksson@mandriva.com> 1:1.0.3-7
- rebuilt for php-5.1.6

* Thu Jul 27 2006 Oden Eriksson <oeriksson@mandriva.com> 1:1.0.3-6mdk
- rebuild

* Sat May 06 2006 Oden Eriksson <oeriksson@mandriva.com> 1:1.0.3-5mdk
- rebuilt for php-5.1.4

* Fri May 05 2006 Oden Eriksson <oeriksson@mandriva.com> 1:1.0.3-4mdk
- rebuilt for php-5.1.3

* Thu Feb 02 2006 Oden Eriksson <oeriksson@mandriva.com> 1:1.0.3-3mdk
- new group (Development/PHP) and iurt rebuild

* Sun Jan 15 2006 Oden Eriksson <oeriksson@mandriva.com> 1:1.0.3-2mdk
- rebuilt against php-5.1.2

* Wed Jan 04 2006 Oden Eriksson <oeriksson@mandriva.com> 1:1.0.3-1mdk
- 1.0.3

* Tue Dec 06 2005 Oden Eriksson <oeriksson@mandriva.com> 1:1.0.2-1mdk
- 1.0.2

* Sat Nov 26 2005 Oden Eriksson <oeriksson@mandriva.com> 1:1.0.1-1mdk
- 1.0.1
- rebuilt against php-5.1.0

* Thu Nov 03 2005 Oden Eriksson <oeriksson@mandriva.com> 1:0.2-1mdk
- rebuilt against php-5.1.0RC4
- fix versioning

* Sun Oct 30 2005 Oden Eriksson <oeriksson@mandriva.com> 5.1.0_0.2-0.RC1.2mdk
- rebuilt to provide a -debug package too

* Sun Oct 02 2005 Oden Eriksson <oeriksson@mandriva.com> 5.1.0_0.2-0.RC1.1mdk
- rebuilt against php-5.1.0RC1

* Fri Sep 30 2005 Oden Eriksson <oeriksson@mandriva.com> 5.0.4_1.0-1mdk
- 1.0
- let the auto stuff find the magic file...
- rediff P0

* Fri May 27 2005 Oden Eriksson <oeriksson@mandriva.com> 5.0.4_0.2-1mdk
- rename the package

* Sun Apr 17 2005 Oden Eriksson <oeriksson@mandriva.com> 5.0.4_0.2-1mdk
- 5.0.4

* Tue Apr 05 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 5.0.3_0.2-5mdk
- lib64 fixes

* Sun Mar 20 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 5.0.3_0.2-4mdk
- use the %%mkrel macro

* Sat Feb 12 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 5.0.3_0.2-3mdk
- rebuilt against a non hardened-php aware php lib

* Sun Jan 16 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 5.0.3_0.2-2mdk
- rebuild due to hardened-php-0.2.6
- fix url

* Fri Dec 17 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 5.0.3_0.2-1mdk
- rebuilt for php-5.0.3

* Sat Sep 25 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 5.0.2_0.2-1mdk
- rebuilt for php-5.0.2

* Sun Aug 15 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 5.0.1_0.2-1mdk
- rebuilt for php-5.0.1

* Wed Aug 11 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 5.0.0-1mdk
- initial mandrake package

